/*  Sashi89 - TI89-Amiga communication program
 *  Copyright (C) 2000, 2001  Olivier Croquette (ocroquette@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

/*  Sashi89 - TI89-Amiga communication program
 *  Copyright (C) 2000, 2001  Olivier Croquette (ocroquette@free.fr)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <proto/intuition.h>
#include <proto/graphics.h>
#include <proto/exec.h>

#include <libraries/mui.h>
#include <clib/muimaster_protos.h>

#include "protocol.h"
#include "hard.h"


struct MUITIList_Data
{
  char is_serial_reserved;

  char current_folder[MAX_NAMELENGTH+1];

  ti_variable vars[MAX_NBNAME];

  Object *app,*window;

};

#define MUIA_TIList_CurrentFolder           (TAG_USER|(667<<16)|0x0001)
#define MUIA_TIList_CurrentSelectedFolder   (TAG_USER|(667<<16)|0x0002)
#define MUIA_TIList_CurrentSelectedVar      (TAG_USER|(667<<16)|0x0003)
#define MUIA_TIList_ParentApp               (TAG_USER|(667<<16)|0x0004)
#define MUIA_TIList_ParentWindow            (TAG_USER|(667<<16)|0x0005)

#define MUIM_TIList_DoubleClick     (TAG_USER|(667<<16)|0x0001)
#define MUIM_TIList_ListFolders     (TAG_USER|(667<<16)|0x0002)
#define MUIM_TIList_ListVars        (TAG_USER|(667<<16)|0x0003)
#define MUIM_TIList_Update          (TAG_USER|(667<<16)|0x0004)
//ULONG __attribute__((regparm(3))) MUITIList_Dispatcher(struct IClass *cl , void *msg,Object *obj  );
ULONG __attribute__((regparm(3))) MUITIList_Dispatcher(struct IClass *cl ,  Msg msg,Object *obj  );


